#include <bits/stdc++.h>

using namespace std;

const int MaxVal = 100000;

int main() {
  int n;
  cin >> n;
  vector<int> a(n);
  for (int i = 0; i < n; i++) {
    cin >> a[i];
  }
  long long ans = 0;

  // c[d] - сколько элементов равно d
  vector <long long> c(MaxVal + 1);

  // f[d] - количество пар, в которых первый элемент равен d
  vector <long long> f(MaxVal + 1); 

  vector<int> divisors;
  for (int i = n - 1; i >= 0; i--) {
    divisors.clear();
    for (int r = 1; r * r <= a[i]; r++) {
      if (a[i] % r == 0) {
        divisors.push_back(r);
        if (a[i] / r != r) {
          divisors.push_back(a[i] / r);
        }
      }
    }
    long long f_a_i = f[a[i]];
    for (int d : divisors) {
      ans += f[d];
      f_a_i += c[d];
    }
    f[a[i]] = f_a_i;
    c[a[i]]++;
  }

  cout << ans << '\n';

}
